Package oracle.jdbc.dcn

## Interface RowChangeDescription

    public interface RowChangeDescription

This interface describes the row level information that can be retrieved from a database change event.

The information includes:

- The row id;
- The kind of DML operation that affected this row (the rows was either inserted, updated or deleted).

Since:
  11.1

### Nested Class Summary

Nested Classes
`static class` `RowChangeDescription.RowOperation`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ROWID` `getRowid()` Returns the row id of the row.
`RowChangeDescription.RowOperation` `getRowOperation()` Deprecated. This method is deprecated in 21.
`java.util.EnumSet<RowChangeDescription.RowOperation>` `getRowOperations()` Returns the operation kind: this row was either inserted, updated or deleted.

### Method Detail

#### getRowOperation

    @Deprecated
    RowChangeDescription.RowOperation getRowOperation()

Deprecated.
This method is deprecated in 21. Use `getRowOperations()` instead.
Returns the operation kind: this row was either inserted, updated or deleted.

#### getRowOperations

    java.util.EnumSet<RowChangeDescription.RowOperation> getRowOperations()

Returns the operation kind: this row was either inserted, updated or deleted.

#### getRowid

    ROWID getRowid()

Returns the row id of the row.